PLaSK library

Loading...
Searching...
No Matches
Classes | Namespaces | Macros | Functions
gauss_matrix.hpp File Reference
`#include <cstddef>`
`#include "matrix.hpp"`
Include dependency graph for gauss_matrix.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | plask::DgbMatrix
| Symmetric band matrix structure. More...

## Namespaces
namespace | plask
| Patterson quadrature for complex function along specified line.

## Macros
#define | dgbmv F77_GLOBAL(dgbmv, DGBMV)
#define | dgbtrf F77_GLOBAL(dgbtrf, DGBTRF)
#define | dgbtrs F77_GLOBAL(dgbtrs, DGBTRS)

## Functions
F77SUB | dgbmv (const char &trans, const int &m, const int &n, const int &kl, const int &ku, const double &alpha, double *a, const int &lda, const double *x, int incx, const double &beta, double *y, int incy)
F77SUB | dgbtrf (const int &m, const int &n, const int &kl, const int &ku, double *ab, const int &ldab, int *ipiv, int &info)
F77SUB | dgbtrs (const char &trans, const int &n, const int &kl, const int &ku, const int &nrhs, double *ab, const int &ldab, int *ipiv, double *b, const int &ldb, int &info)

## Macro Definition Documentation

## ◆ dgbmv

#define dgbmv F77_GLOBAL(dgbmv, DGBMV)

Definition at line 22 of file gauss_matrix.hpp.

## ◆ dgbtrf

#define dgbtrf F77_GLOBAL(dgbtrf, DGBTRF)

Definition at line 38 of file gauss_matrix.hpp.

## ◆ dgbtrs

#define dgbtrs F77_GLOBAL(dgbtrs, DGBTRS)

Definition at line 41 of file gauss_matrix.hpp.

## Function Documentation

## ◆ dgbmv()

F77SUB dgbmv | ( | const char & | trans,
|  | const int & | m,
|  | const int & | n,
|  | const int & | kl,
|  | const int & | ku,
|  | const double & | alpha,
|  | double * | a,
|  | const int & | lda,
|  | const double * | x,
|  | int | incx,
|  | const double & | beta,
|  | double * | y,
|  | int | incy
| ) |  |

## ◆ dgbtrf()

F77SUB dgbtrf | ( | const int & | m,
|  | const int & | n,
|  | const int & | kl,
|  | const int & | ku,
|  | double * | ab,
|  | const int & | ldab,
|  | int * | ipiv,
|  | int & | info
| ) |  |

## ◆ dgbtrs()

F77SUB dgbtrs | ( | const char & | trans,
|  | const int & | n,
|  | const int & | kl,
|  | const int & | ku,
|  | const int & | nrhs,
|  | double * | ab,
|  | const int & | ldab,
|  | int * | ipiv,
|  | double * | b,
|  | const int & | ldb,
|  | int & | info
| ) |  |